{ pkgs, lib, config, ... }:

{
  imports = [
    # Gui
    ../../modules/home/gui/theming.nix
  
    # CLI
    ../../modules/home/cli/common
    ../../modules/home/cli/yazi.nix
  ];


  options = {
    host = lib.mkOption {
      type = with lib.types; str;
      description = ''
        Define the host of the machine
      '';
    };

    headless = lib.mkOption {
      type = with lib.types; bool;
      description = ''
        Is this machine headless?
      '';
    };
  };

  config = {
    home = {
      username = "xeovalyte";
      homeDirectory = "/home/xeovalyte";
    };

    host = "pm01vm01";
    headless = true;

    home.packages = with pkgs; [
    ];

    # Enable home-manager
    programs.home-manager.enable = true;

    home.stateVersion = "24.05";
  };

}
