{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.applications.common;
in {
  options = {
    settings.applications.common.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable common applications
      '';
    };
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      vlc
      bitwarden
      pavucontrol
    ];
  };
}
