{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.applications.devenv;
in {
  options = {
    settings.applications.devenv.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable common applications
      '';
    };
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      unstable.devenv
      cloc
    ];

    programs.direnv = {
      enable = true;
      enableBashIntegration = true;
    };
  };
}

