{ config, lib, ... }:

with lib;

let
  cfg = config.settings.services.nextcloud-sync;
in {
  options = {
    settings.services.nextcloud-sync.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable Nextcloud syncronisation
      '';
    };
  };

  config = mkIf cfg.enable {
    services.nextcloud-client = {
      enable = true;
      startInBackground = true;
    };
  };
}
