{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.theming.fonts;
in {
  options = {
    settings.theming.fonts.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable fonts
      '';
    };
  };

  config = mkIf cfg.enable {
    fonts.fontconfig.enable = true;

    home.packages = with pkgs; [
      noto-fonts
      fira-code
      font-awesome
      dejavu_fonts
      roboto
      (nerdfonts.override { fonts = [ "DejaVuSansMono" ]; })
    ];
  };
}
