{ config, lib, inputs, pkgs, ... }:

with lib;

let
  cfg = config.settings.theming.stylix;
in {
  options = {
    settings.theming.stylix.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable stylix configuration
      '';
    };
  };

  imports = [
    inputs.stylix.homeManagerModules.stylix
  ];

  config = mkIf cfg.enable {
    stylix.enable = true;

    stylix.image = ../../../assets/wallpaper-2.png;
    stylix.polarity = "dark";
    stylix.base16Scheme = "${pkgs.base16-schemes}/share/themes/da-one-ocean.yaml";

    stylix.autoEnable = true;

    stylix.cursor = {
      package = pkgs.phinger-cursors;
      name = "phinger-cursors-dark";
      size = 24;
    };

    stylix.fonts.sizes.applications = 10;
  };
}
