{ pkgs, config, lib, ... }:

with lib;

let
  cfg = config.settings.applications.thunar;
in {
  options = {
    settings.applications.thunar.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable thunar file manager
      '';  
    };
  };

  config = mkIf cfg.enable {
    programs.thunar = {
      enable = true;
      plugins = with pkgs.xfce; [
        thunar-archive-plugin
        thunar-volman
      ];
    };

    services.gvfs.enable = true;
    services.tumbler.enable = true;
    programs.file-roller.enable = true;
  };
}
