{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.desktop-environments.gnome;
in {
  options = {
    settings.desktop-environments.gnome.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable gnome desktop environment
      '';
    };
  };

  config = mkIf cfg.enable {
    services.xserver.enable = true;
    services.xserver.displayManager.gdm.enable = true;
    services.xserver.desktopManager.gnome.enable = true;

    environment.systemPackages = [
      pkgs.gnome-tweaks
    ];
  };
}
