{ pkgs, lib, config, ... }:

with lib;

let
  cfg = config.settings.display-manager;
in {
  config = mkIf (cfg == "sddm") {
    environment.systemPackages = with pkgs; [
      libsForQt5.qt5.qtquickcontrols2
      libsForQt5.qt5.qtgraphicaleffects
    ];

    services.displayManager.sddm = {
      enable = true;
      wayland.enable = true;
      theme = "${import ./sddm-theme.nix { inherit pkgs; }}";
    };
  };
}
