{ config, lib, ... }:

with lib;

let
  cfg = config.settings.hardware.bluetooth;
in {
  options = {
    settings.hardware.bluetooth.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable bluetooth
      '';
    };
  };

  config = mkIf cfg.enable {
    hardware.bluetooth = {
      enable = true;
      powerOnBoot = true;
      settings = {
        General = {
          Enable = "Source,Sink,Media,Socket";
        };
      };
    };

    services.blueman.enable = true;
  };
}
