{ config, lib, ... }:

with lib;

let
  cfg = config.settings.hardware.fprint;
in {
  options = {
    settings.hardware.fprint.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable fingerprint
      '';
    };
  };

  config = mkIf cfg.enable {
    services.fprintd.enable = true;

    security.pam.services.login.fprintAuth = false;
    security.pam.services.cosmic-greeter.fprintAuth = false;
  };
}
