{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.hardware.printing;
in {
  options = {
    settings.hardware.printing.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable printer configuration
      '';
    };
  };

  config = mkIf cfg.enable {
    services.printing = {
      enable = true;
      drivers = [ pkgs.hplip ];
    };
  };
}
