{ pkgs, config, lib, ... }:

with lib;

let
  cfg = config.settings.services.quickemu;
in {
  options = {
    settings.services.quickemu.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable quickemu virtualisation
      '';
    };
  };

  config = mkIf cfg.enable {
    virtualisation.libvirtd.enable = true;
    programs.virt-manager.enable = true;

    users.users.xeovalyte.extraGroups = [ "libvirtd" ];

    environment.systemPackages = with pkgs; [
      quickemu
    ];
  };
}
